<?php
/**
 * Clase Base Bean para BaseCrLlamadasMovimientoBN
 *
 * @package    Sedapal
 * @subpackage BaseCrLlamadasMovimientoBN
 * @author     Willy
 * @version    SVN:: BaseCrLlamadasMovimientoBN.class.php,v 1.1 2014-10-30 10:17:37 william.taype Exp $
 */
abstract class BaseCrLlamadasMovimientoBN
{
  protected $IdMovimientoLlamada;
  protected $IdCliente;
  protected $IdTelefono;
  protected $Fecha;
  protected $Mensaje;
  protected $Error;

  public function getIdMovimientoLlamada(){
    return $this->IdMovimientoLlamada;
  }
  public function setIdMovimientoLlamada($v1){
    $this->IdMovimientoLlamada = $v1; 
  }

  public function getIdCliente(){
    return $this->IdCliente;
  }
  public function setIdCliente($v1){
    $this->IdCliente = $v1; 
  }

  public function getIdTelefono(){
    return $this->IdTelefono;
  }
  public function setIdTelefono($v1){
    $this->IdTelefono = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_llamadas_movimientoBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_llamadas_movimientoRs )
  {
    $o_CrLlamadasMovimientoBN = new CrLlamadasMovimientoBN();
    $o_CrLlamadasMovimientoBN->setIdMovimientoLlamada( $o_Cr_llamadas_movimientoRs['IdMovimientoLlamada'] );
    $o_CrLlamadasMovimientoBN->setIdCliente( $o_Cr_llamadas_movimientoRs['IdCliente'] );
    $o_CrLlamadasMovimientoBN->setIdTelefono( $o_Cr_llamadas_movimientoRs['IdTelefono'] );
    $o_CrLlamadasMovimientoBN->setFecha( $o_Cr_llamadas_movimientoRs['Fecha'] );
    return $o_CrLlamadasMovimientoBN;
  }
}